package com.ListView.articulos;

import java.util.List;

import android.app.Activity;
import android.os.Bundle;
import android.view.Menu;
import android.view.View;
import android.widget.AdapterView;
import android.widget.AdapterView.OnItemClickListener;
import android.widget.GridView;
import android.widget.TextView;
import android.widget.Toast;
import com.orm.query.Select;

//Ejemplo aplicacin Android con API Sugar ORM para insertar
//y mostrar datos en componentes GridView y ListView.
//
//academiaandroid.com
//
//by Jos Antonio Gzquez Rodrguez

public class ListaArticulosGridView extends Activity {
	
	private GridView listaArticulos;
	private MiAdaptadorGridView miadapter;
	
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_lista_articulos_grid_view);				
		
		listaArticulos = (GridView)findViewById(R.id.gridview);			
		
		List<Articulos> lista = Select.from(Articulos.class).orderBy("producto").list();		
        miadapter = new MiAdaptadorGridView(ListaArticulosGridView.this,lista);              
        listaArticulos.setAdapter(miadapter);
        
        //Evento lanzado al realizar click sobre uno de los item de la cuadrcula
        listaArticulos.setOnItemClickListener(new OnItemClickListener() {

			@Override
			public void onItemClick(AdapterView<?> parent, View vew, int position,
					long arg3) {
				TextView producto_seleccionado = (TextView)findViewById(R.id.txtProductoSeleccionado);
				Articulos articulo = (Articulos)parent.getItemAtPosition(position);
				producto_seleccionado.setText(articulo.getProducto());
				Toast.makeText(ListaArticulosGridView.this, "Ha seleccionado: " + articulo.getProducto(), 3000).show();				
				
			}
		});        
	}

	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		// Inflate the menu; this adds items to the action bar if it is present.
		getMenuInflater().inflate(R.menu.lista_articulos_grid_view, menu);
		return true;
	}

}
