package com.ListView.articulos;

import android.app.Activity;
import android.app.ListActivity;
import android.content.Context;
import android.content.Intent;
import android.os.Bundle;
import android.view.Menu;
import android.view.View;
import android.widget.AdapterView;
import android.widget.AdapterView.OnItemClickListener;
import android.widget.ArrayAdapter;
import android.widget.Button;
import android.widget.EditText;
import android.widget.ListView;
import android.widget.Toast;

//Ejemplo aplicacin Android con API Sugar ORM para insertar
//y mostrar datos en componentes GridView y ListView.
//
//academiaandroid.com
//
//by Jos Antonio Gzquez Rodrguez
public class MainActivity extends Activity {
	
	//Declaramos los componentes necesarios para introducir valores en la aplicacin
	private EditText producto;
	private EditText cantidad;
	

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        
        //Inicializamos los componentes con su identificador nico
        producto = (EditText)findViewById(R.id.edProducto);
        cantidad = (EditText)findViewById(R.id.edCantidad);                
        }
	
    //Evento On Click para acceder a la Activity que muestra un ListView con los artculos almacenados
    public void mostrarLista(View view)
    {
    	try
    	{
    		Intent intent = new Intent(MainActivity.this, ListaArticulos.class);
    		startActivity(intent);
    	}
    	catch(Exception ex)
    	{
    		Toast.makeText(this, "Error al mostrar lista de artculos: " + ex.getMessage(), 3000).show();
    	}
    }
    
    //Evento On Click para acceder a la Activity que muestra un GridView con los artculos almacenados
    public void mostrarListaGridView(View view)
    {
    	try
    	{
    		Intent intent = new Intent(MainActivity.this, ListaArticulosGridView.class);
    		startActivity(intent);
    	}
    	catch(Exception ex)
    	{
    		Toast.makeText(this, "Error al mostrar lista de artculos: " + ex.getMessage(), 3000).show();
    	}
    }
    
    //Evento On Click que nos permite almacenar el artculo y la cantidad indicados
    public void guardarArticulos(View view)
    {
    	try
    	{
    		String campo_producto = producto.getText().toString();
    		String campo_cantidad = cantidad.getText().toString();
    		if(campo_producto.equals(""))
    		{
    			Toast.makeText(this, "Debe indicar el nombre del producto.", 3000).show();
    		}else if(campo_cantidad.equals(""))
    		{
    			Toast.makeText(this, "Debe indicar la cantidad del producto.", 3000).show();
    		}
    		else
    		{    			
    			Articulos articulos = new Articulos(this,campo_producto,campo_cantidad); 
    			articulos.save();
    			Toast.makeText(this, "Producto " + articulos.getProducto() +  " ha sido almacenado en la lista de la compra.", 3000).show();
    			producto.setText("");
    			cantidad.setText("");
    		}
    	}
    	catch(Exception ex)
    	{
    		Toast.makeText(this, "Error al guardar artculos: " + ex.getMessage(), 3000).show();
    	}
    }
    
    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        // Inflate the menu; this adds items to the action bar if it is present.
        getMenuInflater().inflate(R.menu.main, menu);
        return true;
    }
    
}
