package com.ListView.articulos;

import java.util.List;
import android.annotation.SuppressLint;
import android.app.Activity;
import android.graphics.Color;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.TextView;

//Ejemplo aplicacin Android con API Sugar ORM para insertar
//y mostrar datos en componentes GridView y ListView.
//
//academiaandroid.com
//
//by Jos Antonio Gzquez Rodrguez
public class MiAdaptador extends BaseAdapter {
	
	private final Activity actividad;
	private final List<Articulos> articulos;

public MiAdaptador(Activity actividad,List<Articulos> articulos) {
		
		super();
		this.actividad = actividad;
		this.articulos = articulos;
			
	}


	@Override
	public int getCount() {
		// TODO Auto-generated method stub
		return articulos.size();
	}

	@Override
	public Object getItem(int position) {
		// TODO Auto-generated method stub
		return articulos.get(position);
	}

	@Override
	public long getItemId(int position) {
		// TODO Auto-generated method stub
		return position;
	}

	@Override
	public View getView(final int position, View convertview, ViewGroup parent) {		
		
			View v = convertview;
			ViewHolder vista = new ViewHolder();
			
			if(convertview == null)
			{
				LayoutInflater inflater = actividad.getLayoutInflater();
				final Articulos articulo_clase = articulos.get(position);							
			
				v = inflater.inflate(R.layout.activity_mi_adaptador,parent,false);
				
				vista.txtProducto = (TextView)v.findViewById(R.id.txtCompra);
				vista.txtCantidad = (TextView)v.findViewById(R.id.txtCantidad);						
				
				vista.txtProducto.setText(articulo_clase.getProducto());
				vista.txtCantidad.setText(articulo_clase.getCantidad() + " unidades");				
			}
			else
			{
				vista = (ViewHolder) v.getTag();
			}
			
		return v;
	}
	
static class ViewHolder {
	
		public TextView txtCantidad;
		public TextView txtProducto;
	}

}
